Backtesting Engine
==================

The backtesting engine enables strategy evaluation on historical data.

Backtesting Engine
------------------

.. automodule:: src.backtesting.engine
   :members:
   :undoc-members:
   :show-inheritance:

Performance Metrics
-------------------

.. automodule:: src.backtesting.metrics
   :members:
   :undoc-members:
   :show-inheritance:

Slippage and Fees
-----------------

.. automodule:: src.backtesting.slippage
   :members:
   :undoc-members:
   :show-inheritance:

Data Provider
-------------

.. automodule:: src.backtesting.data_provider
   :members:
   :undoc-members:
   :show-inheritance:

